Bug 728249 - Review Request: rubygem-activerecord2.3 - rails 2 alongside rails 3
Review Request: rubygem-activerecord2.3 - rails 2 alongside rails 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 728256
Blocks: 726690 728248
  Show dependency treegraph
 
Reported: 2011-08-04 10:00 EDT by Emanuel Rietveld
Modified: 2012-05-07 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 11:17:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Emanuel Rietveld 2011-08-04 10:00:23 EDT
Spec URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SPECS/rubygem-activerecord2.3.spec;hb=refs/heads/rails23
SRPM URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SRPMS/rubygem-activerecord2.3-2.3.12-1.fc15.src.rpm;hb=refs/heads/rails23

Changelog: http://xls01.freecult.org/pkg/?p=pkg.git;a=log;h=refs/heads/rails23

Description: rubygem-activerecord2.3 is a dependency of rails 2.3. (another dependency is rubygem-rdoc, which was built for Fedora 16 by mmorsi. See http://koji.fedoraproject.org/koji/buildinfo?buildID=254306 )

Although rails 3 was released, and Fedora 15 has moved to rails 3, there are still rails projects working with rails 2.3 series. Rails 3 is not backwards compatible and some key features are not yet working in rails 3. One notable project still on rails 2.3 is the issue tracker redmine: http://www.redmine.org.

Since rails 2 and rails 3 are perfectly parallel installable, I would like to maintain rails 2.3 series in Fedora until it really becomes obsolete. I have built these rails 2.3.12 packages starting from the rails 2.3.8 rpms already in Fedora 14.

This is my first time packaging for Fedora and I am welcoming feedback. Thank you for your time.
Comment 2 Emanuel Rietveld 2012-01-09 06:06:33 EST
This package will probably not work on F16 and F17. It requires rubygem-sqlite3-ruby which was renamed to rubygem-sqlite3. I will upload updated srpms shortly.
Comment 3 Emanuel Rietveld 2012-05-07 11:17:43 EDT
With the move to ruby 1.9, making rails 2.3 compatible has become much more difficult in recent Fedora releases. Additionally, several projects requiring rails 2.3 previously now support rails 3, including redmine. I am abandoning this effort.

Note You need to log in before you can comment on or make changes to this bug.